﻿-- General.lua

local L = LibStub("AceLocale-3.0"):GetLocale("AshranBuddy")

local AshranBuddy = _G.AshranBuddy
if (not AshranBuddy) then
	DEFAULT_CHAT_FRAME:AddMessage(format(L["Module '%s' requires AshranBuddy"], L["General"]))
end

-- Registration
local General = AshranBuddy:RegisterModule("General")

-- Locals
local BrokenBonesItemID = 118043

function General:OnInitialize()
	self:InitializeComponent()
end

function General:OnEnable()
	ChatFrame_AddMessageEventFilter("CHAT_MSG_LOOT", General.OnChatMessageLootFilter)
end

function General:OnDisable()
	self:UnregisterAllEvents()
	ChatFrame_RemoveMessageEventFilter("CHAT_MSG_LOOT", General.OnChatMessageLootFilter)
end

function General:OnChatMessageLootFilter(event, message)
	if (message ~= nil and message:find(BrokenBonesItemID)) then
		return true
	end
	return false
end

function General:InitializeComponent()
end

function General:OnChatCommand(input)
end

function General:OnCreateOptions(options)
end

function General:OnMessageReceived(packet, distribution, sender)
end